GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
gdcm::PrivateTag Class Reference

Class to represent a Private DICOM Data Element (Attribute) Tag (Group, Element, Owner) More...

`#include <gdcmPrivateTag.h>`

Inheritance diagram for gdcm::PrivateTag:
[legend]
Collaboration diagram for gdcm::PrivateTag:
[legend]

## Public Member Functions

| PrivateTag (uint16_t group=0, uint16_t element=0, const char *owner="")
const char * | GetOwner () const
bool | operator< (const PrivateTag &_val) const
bool | ReadFromCommaSeparatedString (const char *str)
void | SetOwner (const char *owner)
Public Member Functions inherited from gdcm::Tag
| Tag (uint16_t group, uint16_t element)
| Constructor with 2*uint16_t.
| Tag (uint32_t tag=0)
| Constructor with 1*uint32_t Prefer the cstor that takes two uint16_t.
| Tag (const Tag &_val)
uint16_t | GetElement () const
| Returns the 'Element number' of the given Tag.
uint32_t | GetElementTag () const
| Returns the full tag value of the given Tag.
uint16_t | GetGroup () const
| Returns the 'Group number' of the given Tag.
uint32_t | GetLength () const
| return the length of tag (read: size on disk)
Tag | GetPrivateCreator () const
| Return the Private Creator Data Element tag of a private data element.
bool | IsGroupLength () const
| return whether the tag correspond to a group length tag:
bool | IsGroupXX (const Tag &t) const
| e.g 6002,3000 belong to groupXX: 6000,3000
bool | IsIllegal () const
| return if the tag is considered to be an illegal tag
bool | IsPrivate () const
bool | IsPrivateCreator () const
bool | IsPublic () const
bool | operator!= (const Tag &_val) const
bool | operator< (const Tag &_val) const
bool | operator<= (const Tag &t2) const
Tag & | operator= (const Tag &_val)
bool | operator== (const Tag &_val) const
const uint16_t & | operator[] (const unsigned int &_id) const
| Returns the Group or Element of the given Tag, depending on id (0/1)
uint16_t & | operator[] (const unsigned int &_id)
| Returns the Group or Element of the given Tag, depending on id (0/1)
std::string | PrintAsPipeSeparatedString () const
template<typename TSwap >
std::istream & | Read (std::istream &is)
| Read a tag from binary representation.
bool | ReadFromCommaSeparatedString (const char *str)
bool | ReadFromPipeSeparatedString (const char *str)
void | SetElement (uint16_t element)
| Sets the 'Element number' of the given Tag.
void | SetElementTag (uint16_t group, uint16_t element)
| Sets the 'Group number' & 'Element number' of the given Tag.
void | SetElementTag (uint32_t tag)
| Sets the full tag value of the given Tag.
void | SetGroup (uint16_t group)
| Sets the 'Group number' of the given Tag.
void | SetPrivateCreator (Tag const &t)
| Set private creator:
template<typename TSwap >
const std::ostream & | Write (std::ostream &os) const
| Write a tag in binary rep.

## Friends

std::ostream & | operator<< (std::ostream &_os, const PrivateTag &_val)

## Detailed Description

Class to represent a Private DICOM Data Element (Attribute) Tag (Group, Element, Owner)

Note
  private tag have element value in: [0x10,0xff], for instance 0x0009,0x0000 is NOT a private tag

Examples:
  csa2img.cxx, DumpADAC.cxx, DumpGEMSMovieGroup.cxx, ELSCINT1WaveToText.cxx, GetSubSequenceData.cxx, iU22tomultisc.cxx, MrProtocol.cxx, pmsct_rgb1.cxx, PublicDict.cxx, ReadGEMSSDO.cxx, and rle2img.cxx.

## Constructor & Destructor Documentation

gdcm::PrivateTag::PrivateTag | ( | uint16_t | group = `0`,
|  | uint16_t | element = `0`,
|  | const char * | owner = `""`
| ) |  |

inline

## Member Function Documentation

const char* gdcm::PrivateTag::GetOwner | ( |  | ) | const

inline

Examples:
  PublicDict.cxx.

Referenced by operator<(), and gdcm::PrivateDict::PrintXML().

bool gdcm::PrivateTag::operator< | ( | const PrivateTag & | _val | ) | const

inline

References GetOwner(), and gdcm::System::StrCaseCmp().

bool gdcm::PrivateTag::ReadFromCommaSeparatedString | ( | const char * | str | ) |

void gdcm::PrivateTag::SetOwner | ( | const char * | owner | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const PrivateTag & | _val
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmPrivateTag.h